Subject: bug#2034: 23.0.60; c-subword-mode incompatible with xml-mode

From: Stefan Monnier <[email-masked]>
Date: Sun, 25 Jan 2009 10:44:44 -0500

> Running "M-x c-subword-mode" in a buffer using xml-mode will raise the
> following error:

> c-update-modeline: Wrong type argument: stringp, (sgml-xml-mode "XML" "SGML")

c-subword-mode is obviously written specifically for modes provided by
the cc-*.el files.  It may accidentally work in some other modes, but at
least c-update-modeline makes several assumptions about the format used
for `mode-name'.

        Stefan